from datetime import datetime

from pydantic import BaseModel

from app.schemas.note import Note


class CollectionBase(BaseModel):
    name: str
    description: str | None = None


class CollectionCreate(CollectionBase):
    pass


class CollectionUpdate(BaseModel):
    name: str | None = None
    description: str | None = None


class CollectionInDBBase(CollectionBase):
    id: int
    owner_id: int
    created_at: datetime
    updated_at: datetime

    class Config:
        from_attributes = True


class Collection(CollectionInDBBase):
    pass


class CollectionWithNotes(Collection):
    notes: list[Note] = []
